## tf5 5.0beta7

=== Makefile ===
########################################################################
#
#  TinyFugue - programmable mud client
#  Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2002, 2003, 2004, 2005 Ken Keys
#
#  TinyFugue (aka "tf") is protected under the terms of the GNU
#  General Public Licence.  See the file "COPYING" for details.
#
########################################################################

# Note: the space on the end of the next line is intentional, so it will
# still work in unix for idiots who got ^M on the end of every line.
default:  all 

all:
	@echo :
	@echo : To build TinyFugue, use one of the following commands
	@echo : appropriate to your system.  For more information, see
	@echo : the README file in the directory for your system.
	@echo :
	@echo : UNIX, CYGWIN, MACOS X:
	@echo : ./configure [options]
	@echo : make install
	@echo :
	@echo : OS/2:
	@echo : os2make [options]
	@echo :

install files tf clean uninstall: all

# The next line is a hack to get around a bug in BSD/386 make.
make:

=== unix/Makefile ===
# $Id: Makefile,v 35000.38 2005/04/18 03:15:56 kkeys Exp $
########################################################################
#
#  TinyFugue - programmable mud client
#  Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2002, 2003, 2004, 2005 Ken Keys
#
#  TinyFugue (aka "tf") is protected under the terms of the GNU
#  General Public Licence.  See the file "COPYING" for details.
#
#  DO NOT EDIT THIS FILE.  To change the default configuration,
#  see "unix/README".
#
########################################################################

# unix Makefile.
# This is invoked from top level make, so the working directory is the root.

SHELL = /bin/sh

default: __always__
	@case `pwd` in; \
	*/tf*/unix) cd ..;; \
	esac; \
	make

# If the next rule were first, a few strange versions of make would try
# to make "install", "all", "files", AND "tf", instead of just "install".
install all files tf: default

configure: configure.in
	autoconf

reconfigure:  unconfigure install

unconfigure:
	rm -f src/Makefile src/config.h

clean:
	cd ./src; rm -f *.o Makefile core* *.core config.h typescript*
	cd ./unix; rm -f vars.mak

distclean:  clean
	rm -f Build.log
#	cd ./tf-lib; rm -f tf-help.idx
	cd ./src; rm -f tf makehelp tags
	cd ./src; rm -f tf.pixie* tf.Addrs* tf.Counts*

spotless cleanest veryclean:  distclean
	cd ./src; rm -f tf.1.catman

uninstall:
	cd ./src; $(MAKE) uninstall

./src/tf.1.catman:  ./src/tf.1.nroffman
	TERM=vt100; nroff -man ./src/tf.1.nroffman > ./src/tf.1.catman

srcdist: ./src/tf.1.catman

help ./tf-lib/tf-help ./tf-lib/tf-help.idx: __always__
	if test -d ./help; then cd ./help; $(MAKE); fi

bogus-makefile:
	cp bogus.mak Makefile

disttest: __always__
	@{ test ! -d CVS && test "`basename \`pwd\``" = "tf-$(TFVER)"; } || \
	    { echo '"make dist" should be run from a CVS exported directory.'; \
	    false; }

disthelp: distclean
	ln -s help tf-$(TFVER)-help
	tar -zcf tf-$(TFVER)-help.tar.gz tf-$(TFVER)-help/. \
	    --exclude 'html2tf.c' \
	    --exclude 'html2tf' \
	    --exclude 'tf-help' \
	    --exclude 'Makefile'
	rm tf-$(TFVER)-help
	mv tf-$(TFVER)-help.tar.gz ..

dist: disttest srcdist distclean disthelp help bogus-makefile configure
	chmod -R ugo+r .
	cd ..; tar -zcf tf-$(TFVER).tar.gz -X tf-$(TFVER)/EXCLUDE tf-$(TFVER)
	cd ..; zip -qlr tf-$(TFVER).zip tf-$(TFVER) \
	    -x `sed -e 's;^;tf-$(TFVER)/;' tf-$(TFVER)/EXCLUDE`

gzdist: ./tf-lib/tf-help ../tf-$(TFVER).tar
	cd ..; gzip tf-$(TFVER).tar

__always__:

# hack to get around a bug in BSDi (and FreeBSD?) make.
make:

## tf5 5.0beta8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2002, 2003, 2004, 2005 Ken Keys
+#  Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2002, 2003, 2004, 2005, 2006-2007 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.

=== unix/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 35000.38 2005/04/18 03:15:56 kkeys Exp $
+# $Id: Makefile,v 35000.39 2007/01/13 23:12:39 kkeys Exp $
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2002, 2003, 2004, 2005 Ken Keys
+#  Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2002, 2003, 2004, 2005, 2006-2007 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.

=== src/pcre-2.08/Makefile ===
# Make file for PCRE (Perl-Compatible Regular Expression) library.

# If you are using a Unix system, see below. I am a Unix person, so that is
# the stuff I really know about. PCRE is developed on a Unix box.

# To build mingw32 DLL uncomment the next two lines. This addition for mingw32
# was contributed by  Paul Sokolovsky <Paul.Sokolovsky@technologist.com>. I
# (Philip Hazel) don't know anything about it! There are some additional
# targets at the bottom of this Makefile.
#
# include dll.mk
# DLL_LDFLAGS=-s


######## NON-UNIX ############ NON-UNIX ############## NON-UNIX ##############
# If you want to compile PCRE for a non-Unix system, note that it consists
# entirely of code written in Standard C, and so should compile successfully
# using normal compiling commands to do the following:
#
# (1) Compile dftables.c as a stand-alone program, and then run it with
# output sent to chartables.c. This generates a set of standard character
# tables.
#
# (2) Compile maketables.c, get.c, study.c and pcre.c and link them all
# together. This is the pcre library (chartables.c gets included by means of
# an #include directive).
#
# (3) Compile pcreposix.c and link it as the pcreposix library.
#
# (4) Compile the test program pcretest.c. This needs the functions in the
# pcre and pcreposix libraries when linking.
#
# (5) Run pcretest on the testinput files, and check that the output matches
# the corresponding testoutput files. You must use the -i option with
# testinput2.


######## UNIX ################## UNIX ################## UNIX ################
# On a Unix system:
#
# Edit CC, CFLAGS, and RANLIB for your system.
#
# It is believed that RANLIB=ranlib is required for AIX, BSDI, FreeBSD, Linux,
# MIPS RISCOS, NetBSD, OpenBSD, Digital Unix, and Ultrix.
#
# Use CFLAGS = -DUSE_BCOPY on SunOS4 and any other system that lacks the
# memmove() function, but has bcopy().
#
# Use CFLAGS = -DSTRERROR_FROM_ERRLIST on SunOS4 and any other system that
# lacks the strerror() function, but can provide the equivalent by indexing
# into errlist.

AR = ar cq
CC = gcc -O2 -Wall
CFLAGS =
RANLIB = @true

# If you are going to obey "make install", edit these settings for your
# system. BINDIR is the directory in which the pgrep command is installed.
# INCDIR is the directory in which the public header file pcre.h is installed.
# LIBDIR is the directory in which the libraries are installed. MANDIR is the
# directory in which the man pages are installed. The pcretest program, as it
# is a test program, does not get installed anywhere.

BINDIR = /usr/local/bin
INCDIR = /usr/local/include
LIBDIR = /usr/local/lib
MANDIR = /usr/local/man


##############################################################################


OBJ = maketables.o get.o study.o pcre.o

all:            libpcre.a libpcreposix.a pcretest pgrep

pgrep:          libpcre.a pgrep.o
		$(CC) $(CFLAGS) -o pgrep pgrep.o libpcre.a

pcretest:       libpcre.a libpcreposix.a pcretest.o
		$(PURIFY) $(CC) $(CFLAGS) -o pcretest pcretest.o libpcre.a libpcreposix.a

libpcre.a:      $(OBJ)
		-rm -f libpcre.a
		$(AR) libpcre.a $(OBJ)
		$(RANLIB) libpcre.a

libpcreposix.a: pcreposix.o
		-rm -f libpcreposix.a
		$(AR) libpcreposix.a pcreposix.o
		$(RANLIB) libpcreposix.a

pcre.o:         chartables.c pcre.c pcre.h internal.h Makefile
		$(CC) -c $(CFLAGS) pcre.c

pcreposix.o:    pcreposix.c pcreposix.h internal.h pcre.h Makefile
		$(CC) -c $(CFLAGS) pcreposix.c

maketables.o:   maketables.c pcre.h internal.h Makefile
		$(CC) -c $(CFLAGS) maketables.c

get.o:          get.c pcre.h internal.h Makefile
		$(CC) -c $(CFLAGS) get.c

study.o:        study.c pcre.h internal.h Makefile
		$(CC) -c $(CFLAGS) study.c

pcretest.o:     pcretest.c pcre.h Makefile
		$(CC) -c $(CFLAGS) pcretest.c

pgrep.o:        pgrep.c pcre.h Makefile
		$(CC) -c $(CFLAGS) pgrep.c

# An auxiliary program makes the default character table source

chartables.c:   dftables
		./dftables >chartables.c

dftables:       dftables.c maketables.c pcre.h internal.h Makefile
		$(CC) -o dftables $(CFLAGS) dftables.c

install:        all
		cp libpcre.a libpcreposix.a $(LIBDIR)
		cp pcre.h $(INCDIR)
		cp pgrep $(BINDIR)
		cp pcre.3 pcreposix.3 $(MANDIR)/man3
		cp pgrep.1 $(MANDIR)/man1

# We deliberately omit dftables and chartables.c from 'make clean'; once made
# chartables.c shouldn't change, and if people have edited the tables by hand,
# you don't want to throw them away.

clean:;         -rm -f *.o *.a pcretest pgrep

runtest:        all
		./RunTest

######## MINGW32 ############### MINGW32 ############### MINGW32 #############

# This addition for mingw32 was contributed by  Paul Sokolovsky
# <Paul.Sokolovsky@technologist.com>. I (PH) don't know anything about it!

dll:            _dll libpcre.dll.a pgrep_d pcretest_d

_dll:
		$(MAKE) CFLAGS=-DSTATIC pcre.dll

pcre.dll:       $(OBJ) pcreposix.o pcre.def
libpcre.dll.a:  pcre.def

pgrep_d:        libpcre.dll.a pgrep.o
		$(CC) $(CFLAGS) -L. -o pgrep pgrep.o -lpcre.dll

pcretest_d:     libpcre.dll.a pcretest.o
		$(PURIFY) $(CC) $(CFLAGS) -L. -o pcretest pcretest.o -lpcre.dll

# End

=== debian/changelog ===
tf5 (5.0beta8-12build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:06 +1100

tf5 (5.0beta8-12build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:24:28 +0000

tf5 (5.0beta8-12) unstable; urgency=medium

  * Fix name of --disable-symlink option passed to configure to avoid
    creating a spurious src/default symlink, which prevented tf5 from
    building again after debian/rules binary; debian/rules clean.
    (Closes: #1045709)
  * Convert to dh_installalternatives instead of manually-managed
    maintainer scripts.

 -- Russ Allbery <rra@debian.org>  Sun, 22 Oct 2023 11:19:24 -0700

tf5 (5.0beta8-11) unstable; urgency=medium

  * Port to PCRE2.  (Closes: #999943)
  * Build-depend on libncurses-dev instead of libncurses5-dev.
  * Drop build dependency on autoconf, since this is now part of the
    debhelper dependencies and the package build does not call autoconf
    directly, only via the standard debhelper tool.
  * Update lintian overrides for renamed tags and new syntax.
  * Update standards version to 4.6.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 17 Jul 2023 20:48:57 -0700

tf5 (5.0beta8-10) unstable; urgency=medium

  * Add patch to bring the main_loop function declaration into scope to
    suppress a warning from the build log scanner.
  * Add patch to pass LDFLAGS to the compiler when building makehelp.
    This binary isn't installed, so this doesn't really matter, but it
    suppresses a warning from the build log scanner.
  * Change the Debian packaging branch to debian/unstable.
  * Change canonical packaging repository to Salsa.
  * Update standards version to 4.5.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 26 Dec 2020 13:32:39 -0800

tf5 (5.0beta8-9) unstable; urgency=medium

  * Build against OpenSSL instead of GnuTLS, given the new ftp-master
    policy that OpenSSL can be treated as a system library and thus
    GPL-licensed software may be linked with it.  (Closes: #947734)
  * Add lintian overrides for possible-gpl-code-linked-with-openssl and
    for tags asking for various things to be forwarded to upstream (since
    upstream is quite dead).

 -- Russ Allbery <rra@debian.org>  Sat, 14 Nov 2020 16:37:34 -0800

tf5 (5.0beta8-8) unstable; urgency=medium

  * Fix FTBFS with GCC 10.  (Closes: #957873)
  * Fix spelling error in man page, caught by Lintian.
  * Convert the source package to a dgit debrebase workflow.
  * Update debhelper compatibility level to V13.
    - Depend on debhelper-compat instead of using debian/compat.
  * Update standards version to 4.5.0.
    - Add Rules-Requires-Root: no.
  * Add override for package-contains-documentation-outside-usr-share-doc.
    /usr/share/tf5/tf-lib/README documents the contents of that directory.

 -- Russ Allbery <rra@debian.org>  Sun, 10 May 2020 16:05:27 -0700

tf5 (5.0beta8-7) unstable; urgency=medium

  * Update debhelper compatibility level to V11.
    - Use dh_autoreconf but disable running autoheader.
  * Update standards version to 4.1.4.
    - Use https for Format URL in debian/copyright.
  * Update debian/watch to version 4 and use https.

 -- Russ Allbery <rra@debian.org>  Sat, 26 May 2018 19:03:58 -0700

tf5 (5.0beta8-6) unstable; urgency=medium

  * Apply patch from Chris Lamb for reproducible build.  (Closes: #834276)
  * Add a desktop file, although set it to NoDisplay since TinyFugue lacks
    an icon and it's not clear people would start it from the window
    manager menus.  (I considered making an icon from the graphic on the
    TinyFugue home page, but the licensing is unclear.)
  * Remove menu file in favor of the new desktop file.
  * Fix various spelling errors in the binary, caught by Lintian.
  * Enable all hardening flags.
  * Switch to separate Debian patches for each upstream change, managed
    using gbp pq.
  * Switch to the DEP-14 branch layout and add debian/gbp.conf reflecting
    that layout.  Update Vcs-Git accordingly.
  * Use HTTPS for Vcs-Git and Vcs-Browser URLs.
  * Fix duplicated license paragraph in debian/copyright.
  * Run wrap-and-sort -ast on the packaging files.
  * Remove explicit setting for xz compression, which is now the default.
  * Update standards version to 3.9.8.

 -- Russ Allbery <rra@debian.org>  Sun, 14 Aug 2016 14:27:28 -0700

tf5 (5.0beta8-5) unstable; urgency=low

  * Change build dependency to libgnutls-openssl-dev to assist with a
    GnuTLS transition.  (Closes: #731558)
  * Update debhelper compatibility level to V9.
    - Enable hardening flags, including bindnow and PIE.
  * Update watch file based on a revision by Bart Martens to use the new
    path to the SourceForge redirector.  Add some comments about choices
    of mangling and file extension matching.
  * Install upstream CREDITS in the package documentation directory.
  * Update standards version to 3.9.5.
    - Rewrite debian/copyright in copyright-format 1.0.
  * Convert to Debian source package format 3.0 (quilt) with a single
    merged Debian patch and use xz compression for the *.debian.tar.xz
    file.
  * Add information about SSL/TLS and (lack of) Unicode support to the
    package long description.
  * Fix a spelling error in the man page caught by Lintian.
  * Update Vcs-Git URL and add Vcs-Browser control field.

 -- Russ Allbery <rra@debian.org>  Sat, 07 Dec 2013 13:10:14 -0800

tf5 (5.0beta8-4) unstable; urgency=low

  * Update debhelper compatibility level to V7.
    - Use debhelper rule minimization with overrides.
    - List extra files to remove in debian/clean.
    - Install README via debian/docs instead of dh_installdocs argument.
    - Add ${misc:Depends} dependency.
  * Remove the tf5. prefix from packaging files.  We only generate one
    binary package and will for the forseeable future, so no need for the
    package prefix.


=== debian/control ===
Source: tf5
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libpcre2-dev,
 libssl-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Homepage: http://tinyfugue.sourceforge.net/
Vcs-Git: https://salsa.debian.org/rra/tf5.git
Vcs-Browser: https://salsa.debian.org/rra/tf5

Package: tf5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 spell,
Description: text-based MU* and chatserver client
 TinyFugue is a text-based, line-based client designed for connecting to
 most flavors of MU* servers (TinyMUSH, TinyMUX, LP, Diku, etc.) or any
 telnet-based chatserver.  It includes support for 256-color terminals,
 MCCP versions 1 and 2, a powerful trigger and scripting language, and
 many other features.  Encryption of communications with SSL/TLS is
 supported, but not validation of certificates.  Unicode is not currently
 supported.
 .
 This package is the current development version of TinyFugue (major
 version 5).  For the current stable version (major version 4), install
 the "tf" package instead.

=== debian/rules ===
#!/usr/bin/make -f

# Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Disable running autoheader, since it doesn't work with the upstream build
# system (which uses a hand-rolled config template).
export AUTOHEADER = true

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-version --disable-symlink	 \
	    --program-suffix=5 --datadir=\$${prefix}/share/tf5		 \
	    --enable-mailcheck=/var/mail --enable-256colors --enable-ssl

override_dh_auto_build:
	$(MAKE) STRIP=:

override_dh_auto_clean:
	$(MAKE) -f unix/Makefile distclean

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tf5 STRIP=:
	install -d $(CURDIR)/debian/tf5/usr/share/man/man1
	install -m 644 src/tf.1.nroffman \
	    $(CURDIR)/debian/tf5/usr/share/man/man1/tf5.1

=== debian/watch ===
# -*- conf -*-
#
# New packaging without any Debian history would rewrite the beta versions to
# ~betaN instead of betaN, but that wasn't the versioning that was used in the
# Debian package originally and therefore can't easily be introduced now.  If
# version 5.0 is ever released (which looks unlikely), it will require special
# handling.

version=4
opts="uversionmangle=s/^(\d)(\d)/$1.$2/;s/b(\d)/beta$1/" \
    https://qa.debian.org/watch/sf.php/tinyfugue/tf-(5[^\-]*)\.tar\.(?:gz|xz)
